#include <iostream>
#include <fstream>
using namespace std;
int main()
{
    ifstream f1("timmax.inp");
    long n,max1;
    long a[100000];
    f1>>n;
    for(long i=1;i<=n;i++){
        f1>>a[i];
    }
    f1.close();
    max1=a[1];
    ofstream f2("timmax.out");
    for(long j=1;j<=n;j++){
        if(max1<a[j]){
            max1=a[j];
        }
    }
    f2<<max1<<endl;
    for(long k=1;k<=n;k++){
        if(a[k]==max1){
            f2<<k<<" ";
        }
    }
    f2.close();
    return 0;
}
